// BasicSumRuleMaster.h 

// This is the root RuleMaster in Sum; all operating rule masters inherit from
// it, but ForecastingAgent and CTAgent

#import <objectbase/SwarmObject.h>
#import <random.h>

@interface BasicSumRuleMaster: SwarmObject
{
  float agentProbToActBeforeOpening,
        minCorrectingCoeff, maxCorrectingCoeff,
        asymmetricRange, floorP, agentProbToActBelowFloorP;
}

- setAgentProbToActBeforeOpening: (float) p;
- setMinCorrectingCoeff: (float) min;
- setMaxCorrectingCoeff: (float) max;
- setAsymmetricRange: (float) a;
- setFloorP: (float) f andAgentProbToActBelowFloorP: (float) p;
- createEnd;

@end

