// MarketImitatingAgent.h 

// MarketImitatingAgent inherits from BasicSumAgent and operates in an 
// imitative way, following market tendency;
// anyway, in case of price sliding below the floor price, a buying behavior
// prevails

#import "BasicSumAgent.h"
#import "RandomRuleMaster.h"

@interface MarketImitatingAgent: BasicSumAgent
{
  RandomRuleMaster * ruleMaster;

}

- setRuleMaster: r;

- act0; // acting - placing buy or sell orders - before opening
- act1;  // placing buy or sell orders

@end
